<?php
if(!isset($_SESSION)) {
    session_start();
}

require_once($_SERVER['DOCUMENT_ROOT'].'/varios/varios.php');
require_once($_SERVER['DOCUMENT_ROOT'].'/clases/Varios.Class.php');

if( Varios::isActiveSession() 
    && ( Varios::hasModuleAccess(3)
        || Varios::hasModuleAccess(4)
        || Varios::hasModuleAccess(5)
    )
) {
    require_once($_SERVER['DOCUMENT_ROOT'].'/varios/varios.php');
    $paraPadreIdCod	= filter_var($_GET['p'], FILTER_SANITIZE_STRING);
    $paraPadreId	= filter_var(Varios::decodifica($paraPadreIdCod), FILTER_SANITIZE_NUMBER_INT);
    $paraPadreIdCod = Varios::codifica($paraPadreId);
    
    require_once($_SERVER['DOCUMENT_ROOT'].'/clases/Parametro.Class.php');
    $parametro_obj   = new Parametro(null);
    $paraPadre_inf   = $parametro_obj->informacionParametroPadre($paraPadreId, 0);
    $tituloSubPagina = $paraPadre_inf['para_nombre'];
    $parametro_obj->Close();

    $contenidoHTMLBoton = <<<EOD
EOD;

    $contenidoHTML =<<<EOD
    <input type="hidden" id="txt_id" name="txt_id" value="{$paraPadreIdCod}">
    <div aria-hidden="true" aria-labelledby="exampleModalLabel" class="modal fade" id="md_modal_parametro" role="dialog" tabindex="-1">
        <div class="modal-dialog  modal-lg" role="document">
            <div class="modal-content" id="div_modal_parametro">
                
            </div>
        </div>
    </div>
EOD;

    $JavaScript = <<<EOD
    <script type="text/javascript" src="/js/parametros/parametros.js"></script>
EOD;

    require_once($_SERVER['DOCUMENT_ROOT'].'/includes/layout/dashboard.php');
} else {
    header('location: /login/logout.php');
}
?>